801 090 005
+48 58 326 09 90
bok@iq.pl

Wybór wersji PHP z poziomu pliku htaccess

Z poziomu plików .htaccess za pomocą dyrektywy AddHandler mogą Państwo dowolnie sterować wersjami php używanymi do interpretowania skryptów. Na przykład wpis:

AddHandler fcgi/php-5.4 .php54

spowoduje interpretowanie wszystkich plików o rozszerzeniu php54 przez php w wersji 5.4. Nic nie stoi na przeszkodzie by na jednej stronie uzywac kilku wersji php zaleznie od rozszerzenia czy katalogu. Należy przy tym pamietac ze używanie różnych wersji interpretera w obrębie jednego konta ftp wpływa negatywnie na efektywność wykorzystywanego limitu procesów fastcgi. Dostępne wersje php to:

    fcgi/php-5.2
    fcgi/php-5.2-cache
    fcgi/php-5.2-ioncube
    fcgi/php-5.2-zend
    fcgi/php-5.2-ioncubezend
    fcgi/php-5.3
    fcgi/php-5.3-cache
    fcgi/php-5.3-ioncube
    fcgi/php-5.3-zend
    fcgi/php-5.3-ioncubezend
    fcgi/php-5.4
    fcgi/php-5.4-cache
    fcgi/php-5.4-ioncube
    fcgi/php-5.4-zend
    fcgi/php-5.4-ioncubezend    
    fcgi/php-5.5
    fcgi/php-5.5-cache
    fcgi/php-5.5-ioncube

Oznaczenie wersji
5.x - Wersja PHP 5.2 z podstawowymi modułami i funkcjami
5.x-cache - Podstawowa wersja PHP 5.2 z zainstalowanym akceleratorem skryptów PHP IQ Cache
5.x-ioncube -  Podstawowa wersja PHP 5.2 z zainstalowanym oprogramowaniem IonCube PHP Encoder
5.x-zend - odstawowa wersja PHP 5.2 z zainstalowanym oprogramowaniem Zend Optimizer
5.x-ioncubezend - Podstawowa wersja PHP 5.2 podstawowa wraz z zainstalowanym oprogramowaniem Zend Optimizer oraz IonCube

Przykładowo jeśli do katalogu www/katalog_strony umieścimy plik .htaccess o treści:




spowoduje to iż pliki php w tym katalogu będą interpretowane przez php w wersji 5.4 z zainstalowanym akceleratorem skryptów PHP IQ Cache

Przypomnijmy iż wersjami PHP dla stron www można zarządzać także poprzez panel administracyjny:
Zmiana wersji PHP







Oceń ten wpis:
średnia ocen: 0 / Ilość ocen: 0